{% extends 'base.html.twig' %}

{% block title %}S'inrégistrer{% endblock %}

{% block body %}

    {# navbar start #}
    <nav class="navbar navbar-expand-lg nav-bar navbar-dark pt-4">
        <a class="text-white" href="{{ path('home') }}"><h5 class="text-uppercase">Sondage<span class="navbar-logo"><br> créateur</span></h5></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navbarNavAltMarkup">
            <div class="navbar-nav">
                <a class="nav-link text-white h5" href="{{ path('app_login') }}">Se connecter</a>
                <a class="nav-link text-white h5" href="{{ path('app_logout') }}">Se déconnecter</a>
                <a class="nav-link text-white h5" href="{{ path('home') }}">Accueil</a>
            </div>
        </div>
    </nav>
    {# navbar end #}

<div class="container wrapper w-50">
    <div class="wrapper-form">
        <label class="tab" title="register">S'inrégistrer</label>

        {# register start #}

        <div class="container">
            {% for flashError in app.flashes('verify_email_error') %}
                <div class="alert alert-danger" role="alert">{{ flashError }}</div>
            {% endfor %}
        </div>
            {{ form_start(registrationForm, {
                'attr': {'class': 'tab-form'},
            }) }}


            <label>Ajoutez votre photo du profil</label>
            <div class="text-center">
            {{ form_row(registrationForm.logoFile) }}
            </div>
            {{ form_row(registrationForm.nickname, {
                'attr': {'class': 'form-input mt-4 small'},
            }) }}

            <div class="small text-danger">*Champ obligatoire</div>
            {{ form_row(registrationForm.email, {
                'attr': {'class': 'form-input small'},
            }) }}

            <div class="small text-danger">*Champ obligatoire</div>
            {{ form_row(registrationForm.plainPassword, {
                'attr': {'class': 'form-input small'}
            }) }}

            <div class="small text-danger">*Champ obligatoire</div>
            <div class="text-center small mb-4">
            {{ form_row(registrationForm.agreeTerms) }}
            </div>
        <div class="text-center mt-2">
            <button type="submit" class="btn-register">S'inrégistrer</button>
        </div>
            {{ form_end(registrationForm) }}

    </div>
</div>
    {# register end #}


{% endblock %}

{% block stylesheets %}
    <style>
body {
    margin: 0;
    padding: 0;
    font-family: Tahoma, serif;
    background-image: url( {{ asset('asset/photo/black.jpg') }} );
    -webkit-background-size: cover;
    background-size: cover;
    height: 100vh;
}

.wrapper {
    display: flex;
    height: 80vh;
    justify-content: center;
    align-items: center;
}

.wrapper-form {
    background-color: rgba(255, 255, 255, 0.2);
    padding: 15px;
}

.wrapper-form a {
    color: #f4c613;
}

.wrapper-form input {
    display: block;
    width: 100%;
}

.tab-form {
    background-color: #FFFFFF;
    padding: 30px 20px 20px;
}

label.tab {
    color: #f4c613;
    font-weight: 600;
    padding: 15px;
    display: inline-block;
    border-radius: 3px 3px 0 0;
    margin-bottom: -1px;
}


/* Формы инпут*/
.form-input {
    font-size: 16px;
    border: 2px solid #f4c613;
    padding: 12px 14px;
    box-sizing: border-box;
    margin-bottom: 22px;
    color: #f4c613;
    outline: none;
    border-radius: 5px;
}

.btn-register {
    border-radius: 28px;
    border-color: #FFFFFF;
    font-size: 13px;
    text-transform: uppercase;
    margin: 0 6px;
    padding: 12px 46px 12px 46px;
    transition: all 0.4s;
    background-color: #f4c613;
    color: white;
}

.navbar-logo {
    color: #f4c613;
}
.navbar-logo a {
    cursor: pointer;
}

.navbar-logo a:hover {
    text-decoration: none;
}
    </style>
{% endblock %}
